%define oname   cairo

Name:       ruby-%{oname}
Version:    1.12.6
Release:    %mkrel 4
Summary:    Ruby bindings for cairo
Group:      Development/Ruby
License:    GPLv2
URL:        http://cairographics.org/rcairo
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: cairo-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(rubyforge)
Provides:   rcairo = %{version}-%{release}

%description
Ruby bindings for cairo

%files
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_extdir_mri}/lib/*.h

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{gem_extdir_mri}/lib/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install -d


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.12.6-4.mga4
+ Revision: 562421
- Fix gem macros

* Thu Dec 19 2013 pterjan <pterjan> 1.12.6-3.mga4
+ Revision: 558688
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.12.6-2.mga4
+ Revision: 538034
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1.12.6-1.mga4
+ Revision: 488350
- new version 1.12.6
- use new gem_install

* Sat Sep 28 2013 fwang <fwang> 1.12.2-4.mga4
+ Revision: 488184
- install headers
- update file list
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.12.2-3.mga3
+ Revision: 395729
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.12.2-2.mga3
+ Revision: 380663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.12.2-1.mga3
+ Revision: 312201
- update file list
- new version 1.12.2

* Sat Nov 26 2011 fwang <fwang> 1.10.2-1.mga2
+ Revision: 172025
- new version 1.10.2

* Mon Nov 07 2011 fwang <fwang> 1.10.1-1.mga2
+ Revision: 164805
- update file list
- drop merged patch
- new version 1.10.1

* Sun May 08 2011 shikamaru <shikamaru> 1.10.0-3.mga1
+ Revision: 96270
- Add provides due to different naming schemes upstream between the gem and tarball

* Mon Mar 14 2011 shikamaru <shikamaru> 1.10.0-2.mga1
+ Revision: 71425
- disable test for the moment
- move files in vendorlibdir/vendorarchdir
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 1.10.0-1.mga1
+ Revision: 48935
- imported package ruby-cairo


* Tue Feb 08 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.10.0-1
- Apply new ruby policy
- Apply general mageia rules
- New version 1.10.0
- Rename rcairo to ruby-cairo (according to the name on rubygems.org)

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.0-3mdv2011.0
+ Revision: 607315
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.0-2mdv2010.1
+ Revision: 523904
- rebuilt for 2010.1

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.0-1mdv2010.0
+ Revision: 372224
- update to new version 1.8.0

* Sat Jul 05 2008 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 231951
- New version 1.6.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 09 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.1-2mdv2008.0
+ Revision: 50534
- Provide rcairo
- Fix group in binary packages

* Wed Apr 25 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 18012
- 1.4.1
- Use Development/Ruby group
- Remove svgcairo subpackage, no longer included
- rcairo switched from setup.rb to extconf.rb
- Import rcairo



* Fri Nov 18 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-1mdk
- 1.0.0

* Mon Sep 26 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.20050926.1mdk
- first release
